/* $Id: db.h 8 2023-04-14 10:39:26Z nishi $ */
#ifndef __SWINEHUB_DB_H__
#define __SWINEHUB_DB_H__

#include <ndbm.h>

#include <openssl/sha.h>

#ifndef SWINEHUB_USERNAME_MAX
#define SWINEHUB_USERNAME_MAX 128
#endif

struct swinehub_user {
	char username[SWINEHUB_USERNAME_MAX + 1];
	unsigned char password[SHA512_DIGEST_LENGTH];
	char approved;
};

int swinehub_db_init();

#define EXTERN_DB	extern DBM* swinehub_token_db;\
			extern DBM* swinehub_user_db;

#endif
